using System;
using System.Linq;

namespace Takmicenje
{

    public class Program
    {
        static bool Funkcija(int[] a, string[] s)
        {
            int l = int.Parse(s[0]) - 1;
            int d = int.Parse(s[1]) - 1;
            bool moze_da_brise = true;
            while (l < d)
            {
                if (a[l] > a[l + 1])
                {
                    if (moze_da_brise)
                    {
                        moze_da_brise = false;
                        l++;
                        d--;
                        continue;
                    }
                    else
                    {
                        return false;
                    }
                }
                if (a[d] < a[d - 1])
                {
                    if (moze_da_brise)
                    {
                        moze_da_brise = false;
                        l++;
                        d--;
                        continue;
                    }
                    else
                    {
                        return false;
                    }
                }

                d--;
                l++;
            }
            return true;
        }
        static void FunkcijaISpis(int[] a, string[] s)
        {
            if(Funkcija(a, s))
            {
                Console.WriteLine("DA");
            }
            else
            {
                Console.WriteLine("NE");
            }
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] a = new int[n];
            var s = Console.ReadLine.Split();
            for (int i = 0; i < n; i++)
            {
                a[i] = int.Parse(s[i]);
            }
            int q = int.Parse(Console.ReadLine());
            for (int i = 0; i < q; i++)
            {
                s = Console.ReadLine().Split();
                FunkcijaISpis(a, s);
            }


            //var s = Console.ReadLine()!.Split();
            //int n = int.Parse(s[0]);
            //int m = int.Parse(s[1]);
            //int[,] matrica = new int[n + m, 2];
            //for (int i = 0; i < n + m; i++)
            //{
            //    s = Console.ReadLine()!.Split();
            //    matrica[i, 0] = int.Parse(s[0]);
            //    matrica[i, 1] = int.Parse(s[1]);
            //}


        }
    }
}